kbuild: Don't remove link-vmlinux temporary files on exit/signal

Keep them around until they are cleaned up by make clean. This
uses a bit more disk space, but makes it easier to debug any
problems with the kernel link process.

Suggested-by: Masahiro Yamada <masahiroy@kernel.org>
Signed-off-by: Andi Kleen <ak@linux.intel.com>
Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
This commit is contained in:
Andi Kleen 2021-05-04 20:35:27 -07:00 committed by Masahiro Yamada
parent 11122b860b
commit 51eb95e2da

View File

@ -320,20 +320,6 @@ cleanup()
rm -f .vmlinux.d
}
on_exit()
{
if [ $? -ne 0 ]; then
cleanup
fi
}
trap on_exit EXIT
on_signals()
{
exit 1
}
trap on_signals HUP INT QUIT TERM
# Use "make V=1" to debug this script
case "${KBUILD_VERBOSE}" in
*1*)